### Method

# Pango ScriptIter get_range

since: 1.4

#### Declaration [src]

    void
    pango_script_iter_get_range (
      PangoScriptIter* iter,
      const char** start,
      const char** end,
      PangoScript* script
    )

#### Description [src]

Gets information about the range to which `iter` currently points.

The range is the set of locations p where start <= p < end. (That is, it doesn’t include the character stored at *end)

Note that while the type of the `script` argument is declared as `PangoScript`, as of Pango 1.18, this function simply returns `GUnicodeScript` values. Callers must be prepared to handle unknown values.

Available since: 1.4

#### Parameters

`start`

  Type: `const char**`

  Location to store start position of the range.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`end`

  Type: `const char**`

  Location to store end position of the range.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`script`

  Type: `PangoScript`

  Location to store script for range.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.